| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::ModelIndexBasedComboBox Class Reference
Inheritance diagram for Digikam::ModelIndexBasedComboBox:

## Public Member Functions
| ModelIndexBasedComboBox (QWidget *const parent=nullptr)
| QComboBox has a current index based on a single integer.
QModelIndex | currentIndex () const
void | hidePopup () override
void | setCurrentIndex (const QModelIndex &index)
void | showPopup () override

## Protected Attributes
QPersistentModelIndex | m_currentIndex

## Constructor & Destructor Documentation

## ◆ ModelIndexBasedComboBox()

Digikam::ModelIndexBasedComboBox::ModelIndexBasedComboBox | ( | QWidget *const | parent = `nullptr` | ) |
| explicit

This is not sufficient for more complex models. This class is a combo box that stores a current index based on QModelIndex.